(function ($) {
    // for sticky Nav
    var stickyNavTop = $('.storeLHeader').offset().top;
    var stickyNav = function () {
        var scrollTop = $(window).scrollTop();
        if (scrollTop > stickyNavTop) {
            $('.storeLHeader').addClass('sticky');
        } else {
            $('.storeLHeader').removeClass('sticky');
        }
    };
    $(window).scroll(function () {
        stickyNav();
    });

    // for Open Navigation
    $(".mobile-burger").click(function () {
        $(".storeLHeader .nav").addClass("open");
    });

    // For Close Navigation
    $(".close-btn, .menu_overlay").click(function () {
        $(".storeLHeader .nav").removeClass("open");
    });

    // for menu open close
    $(".top-level-link .mega-menu-icon").click(function () {
        $(this).parents(".top-level-link").toggleClass("open")
        $(this).parents(".top-level-link").siblings(".top-level-link.open").removeClass("open");
    });

    // for open submenu
    function menueopener() {
        $(".sub-menu-head").parent("div").addClass("subMenuCol");
        windowwidth = $(window).width();
        if (windowwidth < 767) {
            $(".sub-menu-block .sub-menu-head a").click(function (event) {
                event.preventDefault();
                $(this).parents(".sub-menu-head").siblings(".sub-menu-lists").toggleClass("open");
                $(this).parents(".sub-menu-head").toggleClass("open")
                $(this).parents(".subMenuCol").siblings(".subMenuCol").find(".sub-menu-head, .sub-menu-lists").removeClass("open");
            })
        }
    }
    menueopener();

    // For Footer popular searches
    $(".show-hide").click(function () {
        $(this).toggleClass("open");
        $(".popular-search").toggleClass("open");

        // 
        const o = $('.copy-right').offset().top;
        const h = $('.popular-search').outerHeight();
        var body = $("html, body");
        body.stop().animate({ scrollTop: (o + h) }, 2000, 'swing', function () {
            console.log("Finished animating");
        });
    });

    // For Footer Menu accordion
    $(".footer-nav .dropdown").click(function () {
        $(this).toggleClass("open");
        $(this).siblings(".footer-menu").toggleClass("open");
        $(this).parents(".list").siblings(".list").children(".dropdown, .footer-menu").removeClass("open");
    });
})(jQuery);

